Bug 770305 - Provide native systemd service
Provide native systemd service
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: haproxy (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeremy Hinegardner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 751869
  Show dependency treegraph
 
Reported: 2011-12-25 16:59 EST by Jóhann B. Guðmundsson
Modified: 2012-02-20 10:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-19 20:09:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Native systemd unit for haproxy (315 bytes, text/plain)
2011-12-25 17:00 EST, Jóhann B. Guðmundsson
no flags Details
Native systemd service for haproxy (429 bytes, text/plain)
2012-02-13 14:07 EST, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2011-12-25 16:59:09 EST
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd
https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2011-12-25 17:00:11 EST
Created attachment 549514 [details]
Native systemd unit for haproxy
Comment 2 Jóhann B. Guðmundsson 2012-02-13 14:07:20 EST
Created attachment 561647 [details]
Native systemd service for haproxy

Adding a missing reload section to the unit.
Comment 3 Gwyn Ciesla 2012-02-14 11:45:48 EST
Jeremy, any objection to my making this change?
Comment 4 Jeremy Hinegardner 2012-02-19 20:09:25 EST
Rawhide updated with systemd service and spec scriptlets.
Comment 5 Gwyn Ciesla 2012-02-20 10:03:02 EST
Thank you!

Note You need to log in before you can comment on or make changes to this bug.